import './globals.css'
import type { Metadata } from 'next'
import { Open_Sans } from 'next/font/google'
import { ClerkProvider } from '@clerk/nextjs'

const Font = Open_Sans({ subsets: ['latin'] })

export const metadata: Metadata = {
  title: 'Discord-Clone',
  description: 'Generated by create next app',
}

export default function RootLayout({
  children,
}: {
  children: React.ReactNode
}) {
  return (
    <ClerkProvider>
      <html lang="en">
        <body className={Font.className}>{children}</body>
      </html>
    </ClerkProvider>
  )
}
